/*
package cn.sikey.hmd.config;

import cn.sikey.framework.common.exception.ServiceException;
import lombok.extern.slf4j.Slf4j;
import org.apache.http.HttpStatus;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.HashMap;
import java.util.Map;

*/
/**
 * @Author: qin
 * @Date: 2025/3/31
 * @Description: 图灵配置
 *//*

@Configuration
@EnableConfigurationProperties({TuLingParamConfig.class})
@Slf4j
public class TuLingConfiguration {

    */
/**
     * 初始化多个图灵配置
     *
     * @param tuLingParamConfig 图灵配置
     * @return
     *//*

    @Bean
    public Map<String, TuLingParamConfig.TuLingConfig> tuLingConfig(TuLingParamConfig tuLingParamConfig) {
        Map<String, TuLingParamConfig.TuLingConfig> map = new HashMap<>();
        for (TuLingParamConfig.TuLingConfig tl : tuLingParamConfig.getApiKeys()) {
            try {
                map.put(tl.getApiType(), tl);
            } catch (Exception e) {
                log.error("初始化多个图灵配置失败，{1}", e);
                throw new ServiceException(HttpStatus.SC_INTERNAL_SERVER_ERROR, "初始化多个图灵配置失败");
            }
        }
        return map;
    }

}
*/
